Subject: bug#47749: closed (Re: bug#47749: Feature Request: Make top/htop give usable readings for the packages)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Apr 2021 23:46:01 +0000

Your bug report

#47749: Feature Request: Make top/htop give usable readings for the packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47749: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47749
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47749: Feature Request: Make top/htop give usable readings for the packages
From: Tobias Geerinckx-Rice <[email-masked]>
To: bo0od <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Apr 2021 01:45:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi bo0od,

bo0od writes:
> in guix the problem with any running service it show long path
> /gnu/store/pathxxx/packagename this is not useful as the name of 
> the 
> package will be hidden from screen due to its long name.

Indeed.  I added ‘Show program path’ to htop years ago for that 
reason (but for Nix).  It's bound to ‘p’.  Enjoy.

I don't use top.  Perhaps it has a similar option.  If not, maybe 
upstream's willing to add one.

As this is best asked on their bug tracker, I'm closing this bug.

Kind regards,

T G-R

Subject: Feature Request: Make top/htop give usable readings for the packages
From: bo0od <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 13:10:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi There,

Using top/htop is helpful to know many info like running packages,memory 
usage...etc

But in guix the problem with any running service it show long path 
/gnu/store/pathxxx/packagename this is not useful as the name of the 
package will be hidden from screen due to its long name. (some 
workaround can be done but its usability disaster)

Can guix give readings to just the package name running without the need 
to mention its path?

check the uploaded images.

ThX!